Subject: Re: [dhcwg] dhc WG last call on "Domain Suffix Option for DHCPv6"

From: Stig Venaas <[email-masked]>
Date: Thu, 2 Mar 2006 13:51:03 +0100

On Tue, Dec 13, 2005 at 03:22:34PM +0800, CTO YAN Renxiang wrote:
> 
>  
> > Here are my comments on this draft:
> > 
> > 1. There is no mention as to whether the client SHOULD (MUST) put the
> > "domain suffix" option into the ORO to request that the server send it.
> > 
> > I think we wanted *ALL* options (other than a small set, such as IA_NA,
> > IA_TA, IA_PD) to do this to avoid some of the confusion we've had with
> > DHCPv4 and the Parameter Request List option.
> > 
> > I'm sure Ted will also speak up on this subject since I believe he has
> > been keen about this in the past.
> > 
> > I would like to see that text added.
> 
> Ted has said a lot about this, I also prefer to add some text to clarify this point.
> But it would be better to make the text consistent to other options. I think SHOULD
> is better.

It seems this is not addressed in the new 01 version.

I don't think we should simply say that

the client SHOULD (MUST) put the "domain suffix" option into the ORO
to request that the server send it.

IMO, it should be a MAY or a SHOULD that a client implementing this
draft requests the option (it could be that the administrator of the
client host has configured the domain suffix and that the client does
not need to request it).

Then you can say that in order for the server to send this option, the
client must list it in the ORO...

Or maybe better:

The server will only send this option if requested by the client in
the ORO...

Stig

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Thu, 2 Mar 2006 08:20:15 -0500

> The server will only send this option if requested by the client in

That is fine.

Perhaps when we have a "Client Behavior" section in a draft, we should
say:

"If the client desires the <...data...>, the client MUST include the
option code in the Option Request Option."

And, when we have a"Server Behavior" section:

"The server SHOULD include this option in an Advertise or Reply if
requested by the client in the ORO."

(SHOULD here because the server may not be able to include it if it
isn't configured with data, for example.)

- Bernie 

> -----Original Message-----
> From: Stig Venaas [mailto:[email-masked]] 
> Sent: Thursday, March 02, 2006 7:51 AM
> To: CTO YAN Renxiang
> Cc: Bernie Volz (volz); [email-masked]
> Subject: Re: [dhcwg] dhc WG last call on "Domain Suffix 
> Option for DHCPv6"
>

---

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Mon, 6 Mar 2006 07:28:17 -0500

Yup. 

> From: CTO YAN Renxiang [mailto:[email-masked]] 
> Sent: Monday, March 06, 2006 3:28 AM
> To: Stig Venaas; Bernie Volz (volz)
> Cc: [email-masked]
> Subject: ??: [dhcwg] dhc WG last call on "Domain Suffix 
> Option for DHCPv6"
> 
> Hi, Stig and Bernie,
> 
> I remembered Ted has commented on this issue.
> 
> I think in default case, the DHCP client MUST send a ORO to 
> get the option,
> so I eliminated the usage and remain it implicit. 
> 
> To be explicit and clear, as you suggested, I add the 
> following words in section 2.1:
> 
> 2.1  Usage
> 
>    A DHCPv6 client MUST include the option code in Option Request 
>    Option [RFC3315] if it desires the domain suffix option, and the 
>    DHCPv6 server SHOULD include this option in an Advertise or Reply 
>    message if requested by the client in the Option Request Option.
> 
> Is that OK? 
> 
> Regards,
> 
> Renxiang
>